﻿@UIBind('')
export default class DefaultUI extends UIScript {
	private character: Character;
	private anim1 = null;
	
	/** 仅在游戏时间对非模板实例调用一次 */
    protected  onStart() {
		//设置能否每帧触发onUpdate
		this.canUpdate = false;
		
		 //找到进度条
		 const progressbar = this.uiWidgetBase.findChildByPath('Canvas/ProgressBar') as ProgressBar

		 AssetUtil.asyncDownloadAsset("4165").then((res : boolean) => {
			if (res) {
				//生成一个音效并播放
				let sound1 = GameObject.spawn("4165") as Sound
				sound1.isLoop = true
				sound1.play()
				//取到当前音效的音量并设置成进度条当前值
				let volume1=sound1.volume
				progressbar.currentValue=volume1
				//进度条移动后设置音量
				progressbar.onSliderValueChanged.add(() => {
					let volume1=progressbar.currentValue
					sound1.volume=volume1
				});
			}
		})




		//找到对应的跳跃按钮
        const jumpBtn = this.uiWidgetBase.findChildByPath('Canvas/Button_Jump') as StaleButton
		//点击跳跃按钮,异步获取人物后执行跳跃
        jumpBtn.onPressed.add(()=>{
			if (this.character) {
				this.character.jump();
			} else {
				Player.asyncGetLocalPlayer().then((player) => {
					this.character = player.character;
					//角色执行跳跃功能
					this.character.jump();
				});
			}
		})	
    }
}
